<ng-template #contentFac let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Recuperar Contraseña</h4>
    <button type="button" class="btn-close" aria-label="Close"
      (click)="modal.dismiss()"></button>
  </div>
  <div class="modal-body">
    <form>
      <div class="mb-3">
        <p>Ingresar Email del usuario, al mismo se enviará una nueva
          contraseña</p>
        <div class="row">

          <div class="col-sm-12 ">



            <input type="email" id="form2ema"
              class="form-control"
              placeholder="Correo Electrónico" name="email"
              [(ngModel)]="valEmail"/>

            <label class="form-label error" for="form2ema"
              *ngIf="errorEmailR">{{strEmailR}}</label>
          </div>

        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-primary"
      (click)="modal.close(1)">Enviar Nueva Contraseña</button>

  </div>
</ng-template>

<br>
<section class="row fondocafe">
  <div class="container py-5 h-100">
    <div class="row d-flex justify-content-center align-items-center h-100">
      <div class="col-xl-10">
        <div class="card rounded-0 text-black">
          <div class="row g-0"  style="background-color: #EDEDED;">
            <div class="col-lg-6">
              <div class="card-body p-md-5 mx-md-4">

                <div class="text-center">
                  <img src="../../../../assets/Logos/Logomikuycafe.png"
                    style="width: 185px;" alt="logo">
                  <hr>
                  <h4 class="mt-1 mb-5 pb-1" style="color: #735C15;">Iniciar Sesión</h4>
                </div>

                <form>
                  <p class="{{!errorDatos?'normal':'error'}}" style="color: #735C15; font-weight: bold;" >{{strDatos}}</p>
                  <div class="form-outline mb-4">
                    <input type="email" id="form2Example11"
                      class="form-control"
                      placeholder="Correo Electrónico" name="email"
                      [(ngModel)]="usuario.email" />
                    <label class="form-label {{!errorEmail?'normal':'error'}}"
                      for="form2Example11"  style="color: #735C15;">{{strEmail}}</label>
                  </div>

                  <div class="form-outline mb-4">
                    <div class="input-group mb-4">
                      <input placeholder="Contraseña"
                        [type]="!ocultar?'password':'text'"
                        id="form2Example22" class="form-control"
                        name="contrasena"
                        [(ngModel)]="usuario.contrasena"/>
                      <div class="input-group-append">

                        <button class="btn btn-outline-secondary" type="button"
                          id="button-addon2" (click)="vista()"><i
                            [ngClass]="!ocultar?'bi
                            bi-eye-slash':'bi bi-eye'"
                            id="togglePassword"></i>
                        </button>
                      </div>
                    </div>

                    <label class="form-label
                      {{!errorPassword?'normal':'error'}}"
                      for="form2Example22" style="color: #735C15;">
                      {{strPassword}}
                    </label>
                  </div>

                  <div class="text-center pt-1 mb-5 pb-1">
                    <button class="btn botonI btn-block fa-lg
                      gradient-custom-2 mb-3" type="button" (click)="login()">
                      Ingresar
                    </button>

                    <a class="btn link-video" style="color: #735C15; " (click)="openF(contentFac)">Recuperar
                      Contraseña</a>
                  </div>

                  <div class="d-flex align-items-center justify-content-center
                    pb-4">
                    <p class="mb-0 me-2">No tienes una cuenta?</p>
                    <button routerLink="/usuarios/crear" type="button"
                      class="btn boton">Registrarse</button>
                  </div>

                </form>

              </div>
            </div>
            <div class="col-lg-6 d-flex align-items-center gradient-custom-2">
              <img src="../../../../assets/img1.jpg" style="width: 100%;"
                alt="principal_login">
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>